Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## oracle.xdb.event
Class XDBHandler

`java.lang.Object
oracle.xdb.event.XDBHandler`

      public class XDBHandler

extends java.lang.Object

This class stores information about handlers defined in resource configuration.

Since:
  11.1.0.0.0

Field Summary
`protected long` `m_hdlrcstate`

Method Summary
`java.lang.String` `getLanguage()` Returns the implementation language of the handler (JAVA or PL/SQL)
`java.lang.String` `getSchema()` Returns the schema containing the handler's source.
`java.lang.String` `getSource()` Returns the name of the Java class, PL/SQL package or object type that implements the handler.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_hdlrcstate

    protected long m_hdlrcstate

Method Detail

### getSource

    public java.lang.String getSource()

  Returns the name of the Java class, PL/SQL package or object type that implements the handler.
  Returns:
    The name of the source

### getSchema

    public java.lang.String getSchema()

  Returns the schema containing the handler's source.
  Returns:
    The name of the schema

### getLanguage

    public java.lang.String getLanguage()

  Returns the implementation language of the handler (JAVA or PL/SQL)
  Returns:
    The name of the implementation language.

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003, 2009, Oracle and/or its affiliates. All rights reserved.